/* File automatically generate by ./rpmh2tbl
 * Olivier Thauvin <thauvin at aerov.jussieu.fr>
 * Parsed files:
 * ../lib/cpio.h
 * ../lib/fs.h
 * ../lib/fsm.h
 * ../lib/manifest.h
 * ../lib/misc.h
 * ../lib/psm.h
 * ../lib/rpmal.h
 * ../lib/rpmcli.h
 * ../lib/rpmdpkg.h
 * ../lib/rpmds.h
 * ../lib/rpmevr.h
 * ../lib/rpmfc.h
 * ../lib/rpmfi.h
 * ../lib/rpmgi.h
 * ../lib/rpmlib.h
 * ../lib/rpmlock.h
 * ../lib/rpmns.h
 * ../lib/rpmps.h
 * ../lib/rpmsx.h
 * ../lib/rpmte.h
 * ../lib/rpmts.h
 * ../lib/stringbuf.h
 * ../lib/tar.h
 * ../build/buildio.h
 * ../build/rpmbuild.h
 * ../build/rpmspec.h
 * ../rpmdb/db_emu.h
 * ../rpmdb/fprint.h
 * ../rpmdb/hdrinline.h
 * ../rpmdb/header.h
 * ../rpmdb/header_internal.h
 * ../rpmdb/legacy.h
 * ../rpmdb/pkgio.h
 * ../rpmdb/rpmdb.h
 * ../rpmdb/rpmtag.h
 * ../rpmdb/rpmwf.h
 * ../rpmdb/signature.h
 * ../rpmio/LzmaDecode.h
 * ../rpmio/argv.h
 * ../rpmio/envvar.h
 * ../rpmio/fts.h
 * ../rpmio/html-parse.h
 * ../rpmio/md2.h
 * ../rpmio/md4.h
 * ../rpmio/mire.h
 * ../rpmio/rmd128.h
 * ../rpmio/rmd160.h
 * ../rpmio/rmd256.h
 * ../rpmio/rmd320.h
 * ../rpmio/rpmdav.h
 * ../rpmio/rpmerr.h
 * ../rpmio/rpmhash.h
 * ../rpmio/rpmhook.h
 * ../rpmio/rpmio-stub.h
 * ../rpmio/rpmio.h
 * ../rpmio/rpmio_internal.h
 * ../rpmio/rpmlog.h
 * ../rpmio/rpmlua.h
 * ../rpmio/rpmmacro.h
 * ../rpmio/rpmmessages.h
 * ../rpmio/rpmmg.h
 * ../rpmio/rpmpgp.h
 * ../rpmio/rpmsq.h
 * ../rpmio/rpmsw.h
 * ../rpmio/rpmurl.h
 * ../rpmio/salsa10.h
 * ../rpmio/salsa20.h
 * ../rpmio/sha224.h
 * ../rpmio/tiger.h
 * ../rpmio/ugid.h
 * ../misc/err.h
 * ../misc/error.h
 * ../misc/fnmatch.h
 * ../misc/glob.h
 */

#include "system.h"
#define RPMCONSTANT_INTERNAL
#include "rpmconstant.h"
 

/* From rpmcli.h
 * prefix tag: VERIFY_
 * table: rpmVerifyFlags */
static const struct rpmconstant_s rpmVerifyFlagsctbl[] = {
#ifdef H_RPMCLI
	{ "VERIFY_DEFAULT", VERIFY_DEFAULT }, /*!< */
	{ "VERIFY_FDIGEST", VERIFY_FDIGEST }, 
	{ "VERIFY_SIZE", VERIFY_SIZE }, 
	{ "VERIFY_LINKTO", VERIFY_LINKTO }, 
	{ "VERIFY_USER", VERIFY_USER }, 
	{ "VERIFY_GROUP", VERIFY_GROUP }, 
	{ "VERIFY_MTIME", VERIFY_MTIME }, 
	{ "VERIFY_MODE", VERIFY_MODE }, 
	{ "VERIFY_RDEV", VERIFY_RDEV }, 
	{ "VERIFY_CONTEXTS", VERIFY_CONTEXTS }, 
	{ "VERIFY_FILES", VERIFY_FILES }, 
	{ "VERIFY_DEPS", VERIFY_DEPS }, 
	{ "VERIFY_SCRIPT", VERIFY_SCRIPT }, 
	{ "VERIFY_DIGEST", VERIFY_DIGEST }, 
	{ "VERIFY_SIGNATURE", VERIFY_SIGNATURE }, 
	{ "VERIFY_PATCHES", VERIFY_PATCHES }, 
	{ "VERIFY_HDRCHK", VERIFY_HDRCHK }, 
	{ "VERIFY_FOR_LIST", VERIFY_FOR_LIST }, 
	{ "VERIFY_FOR_STATE", VERIFY_FOR_STATE }, 
	{ "VERIFY_FOR_DOCS", VERIFY_FOR_DOCS }, 
	{ "VERIFY_FOR_CONFIG", VERIFY_FOR_CONFIG }, 
	{ "VERIFY_FOR_DUMPFILES", VERIFY_FOR_DUMPFILES }, 
	{ "VERIFY_ATTRS", VERIFY_ATTRS }, 
	{ "VERIFY_ALL", VERIFY_ALL }, 
#endif /* H_RPMCLI */
	{ NULL, 0 } /* NULL terminated (rpmVerifyFlags) */
};
const struct rpmconstant_s * rpmVerifyFlagsctable = rpmVerifyFlagsctbl;


/* From rpmcli.h
 * prefix tag: RPMSIGN_
 * table: rpmSignFlags */
static const struct rpmconstant_s rpmSignFlagsctbl[] = {
#ifdef H_RPMCLI
	{ "RPMSIGN_NONE", RPMSIGN_NONE }, 
	{ "RPMSIGN_CHK_SIGNATURE", RPMSIGN_CHK_SIGNATURE }, /*!< from --checksig */
	{ "RPMSIGN_NEW_SIGNATURE", RPMSIGN_NEW_SIGNATURE }, /*!< from --resign */
	{ "RPMSIGN_ADD_SIGNATURE", RPMSIGN_ADD_SIGNATURE }, /*!< from --addsign */
	{ "RPMSIGN_DEL_SIGNATURE", RPMSIGN_DEL_SIGNATURE }, /*!< from --delsign */
	{ "RPMSIGN_IMPORT_PUBKEY", RPMSIGN_IMPORT_PUBKEY }, /*!< from --import */
#endif /* H_RPMCLI */
	{ NULL, 0 } /* NULL terminated (rpmSignFlags) */
};
const struct rpmconstant_s * rpmSignFlagsctable = rpmSignFlagsctbl;


/* From rpmlib.h
 * prefix tag: RPMTRANS_FLAG_
 * table: rpmtransFlags */
static const struct rpmconstant_s rpmtransFlagsctbl[] = {
#ifdef H_RPMLIB
	{ "RPMTRANS_FLAG_NONE", RPMTRANS_FLAG_NONE }, 
	{ "RPMTRANS_FLAG_TEST", RPMTRANS_FLAG_TEST }, 
	{ "RPMTRANS_FLAG_BUILD_PROBS", RPMTRANS_FLAG_BUILD_PROBS }, 
	{ "RPMTRANS_FLAG_NOSCRIPTS", RPMTRANS_FLAG_NOSCRIPTS }, 
	{ "RPMTRANS_FLAG_JUSTDB", RPMTRANS_FLAG_JUSTDB }, 
	{ "RPMTRANS_FLAG_NOTRIGGERS", RPMTRANS_FLAG_NOTRIGGERS }, 
	{ "RPMTRANS_FLAG_NODOCS", RPMTRANS_FLAG_NODOCS }, 
	{ "RPMTRANS_FLAG_ALLFILES", RPMTRANS_FLAG_ALLFILES }, 
	{ "RPMTRANS_FLAG_KEEPOBSOLETE", RPMTRANS_FLAG_KEEPOBSOLETE }, 
	{ "RPMTRANS_FLAG_NOCONTEXTS", RPMTRANS_FLAG_NOCONTEXTS }, 
	{ "RPMTRANS_FLAG_DIRSTASH", RPMTRANS_FLAG_DIRSTASH }, 
	{ "RPMTRANS_FLAG_REPACKAGE", RPMTRANS_FLAG_REPACKAGE }, 
	{ "RPMTRANS_FLAG_PKGCOMMIT", RPMTRANS_FLAG_PKGCOMMIT }, 
	{ "RPMTRANS_FLAG_PKGUNDO", RPMTRANS_FLAG_PKGUNDO }, 
	{ "RPMTRANS_FLAG_COMMIT", RPMTRANS_FLAG_COMMIT }, 
	{ "RPMTRANS_FLAG_UNDO", RPMTRANS_FLAG_UNDO }, 
	{ "RPMTRANS_FLAG_NOTRIGGERPREIN", RPMTRANS_FLAG_NOTRIGGERPREIN }, 
	{ "RPMTRANS_FLAG_NOPRE", RPMTRANS_FLAG_NOPRE }, 
	{ "RPMTRANS_FLAG_NOPOST", RPMTRANS_FLAG_NOPOST }, 
	{ "RPMTRANS_FLAG_NOTRIGGERIN", RPMTRANS_FLAG_NOTRIGGERIN }, 
	{ "RPMTRANS_FLAG_NOTRIGGERUN", RPMTRANS_FLAG_NOTRIGGERUN }, 
	{ "RPMTRANS_FLAG_NOPREUN", RPMTRANS_FLAG_NOPREUN }, 
	{ "RPMTRANS_FLAG_NOPOSTUN", RPMTRANS_FLAG_NOPOSTUN }, 
	{ "RPMTRANS_FLAG_NOTRIGGERPOSTUN", RPMTRANS_FLAG_NOTRIGGERPOSTUN }, 
	{ "RPMTRANS_FLAG_NOPAYLOAD", RPMTRANS_FLAG_NOPAYLOAD }, 
	{ "RPMTRANS_FLAG_APPLYONLY", RPMTRANS_FLAG_APPLYONLY }, 
	{ "RPMTRANS_FLAG_NOFDIGESTS", RPMTRANS_FLAG_NOFDIGESTS }, 
	{ "RPMTRANS_FLAG_NOCONFIGS", RPMTRANS_FLAG_NOCONFIGS }, 
#endif /* H_RPMLIB */
	{ NULL, 0 } /* NULL terminated (rpmtransFlags) */
};
const struct rpmconstant_s * rpmtransFlagsctable = rpmtransFlagsctbl;


/* From rpmlib.h
 * prefix tag: RPM_MACHTABLE_
 * table: rpm_machtable */
static const struct rpmconstant_s rpm_machtablectbl[] = {
#ifdef H_RPMLIB
	{ "RPM_MACHTABLE_INSTARCH", RPM_MACHTABLE_INSTARCH }, /*!< Install platform architecture. */
	{ "RPM_MACHTABLE_INSTOS", RPM_MACHTABLE_INSTOS }, /*!< Install platform operating system. */
	{ "RPM_MACHTABLE_BUILDARCH", RPM_MACHTABLE_BUILDARCH }, /*!< Build platform architecture. */
	{ "RPM_MACHTABLE_BUILDOS", RPM_MACHTABLE_BUILDOS }, /*!< Build platform operating system. */
	{ "RPM_MACHTABLE_COUNT", RPM_MACHTABLE_COUNT }, /*!< No. of arch/os tables. */
#endif /* H_RPMLIB */
	{ NULL, 0 } /* NULL terminated (rpm_machtable) */
};
const struct rpmconstant_s * rpm_machtablectable = rpm_machtablectbl;


/* From rpmlib.h
 * prefix tag: RPMFILE_
 * table: rpmfileState */
static const struct rpmconstant_s rpmfileStatectbl[] = {
#ifdef H_RPMLIB
	{ "RPMFILE_STATE_NORMAL", RPMFILE_STATE_NORMAL }, 
	{ "RPMFILE_STATE_REPLACED", RPMFILE_STATE_REPLACED }, 
	{ "RPMFILE_STATE_NOTINSTALLED", RPMFILE_STATE_NOTINSTALLED }, 
	{ "RPMFILE_STATE_NETSHARED", RPMFILE_STATE_NETSHARED }, 
	{ "RPMFILE_STATE_WRONGCOLOR", RPMFILE_STATE_WRONGCOLOR }, 
	{ "RPMFILE_STATE_MISSING", RPMFILE_STATE_MISSING }, /* XXX used for unavailable data */
#endif /* H_RPMLIB */
	{ NULL, 0 } /* NULL terminated (rpmfileState) */
};
const struct rpmconstant_s * rpmfileStatectable = rpmfileStatectbl;


/* From rpmlib.h
 * prefix tag: RPMPROB_FILTER_
 * table: rpmprobFilterFlags */
static const struct rpmconstant_s rpmprobFilterFlagsctbl[] = {
#ifdef H_RPMLIB
	{ "RPMPROB_FILTER_NONE", RPMPROB_FILTER_NONE }, 
	{ "RPMPROB_FILTER_IGNOREOS", RPMPROB_FILTER_IGNOREOS }, 
	{ "RPMPROB_FILTER_IGNOREARCH", RPMPROB_FILTER_IGNOREARCH }, 
	{ "RPMPROB_FILTER_REPLACEPKG", RPMPROB_FILTER_REPLACEPKG }, 
	{ "RPMPROB_FILTER_FORCERELOCATE", RPMPROB_FILTER_FORCERELOCATE }, 
	{ "RPMPROB_FILTER_REPLACENEWFILES", RPMPROB_FILTER_REPLACENEWFILES }, 
	{ "RPMPROB_FILTER_REPLACEOLDFILES", RPMPROB_FILTER_REPLACEOLDFILES }, 
	{ "RPMPROB_FILTER_OLDPACKAGE", RPMPROB_FILTER_OLDPACKAGE }, 
	{ "RPMPROB_FILTER_DISKSPACE", RPMPROB_FILTER_DISKSPACE }, 
	{ "RPMPROB_FILTER_DISKNODES", RPMPROB_FILTER_DISKNODES }, 
#endif /* H_RPMLIB */
	{ NULL, 0 } /* NULL terminated (rpmprobFilterFlags) */
};
const struct rpmconstant_s * rpmprobFilterFlagsctable = rpmprobFilterFlagsctbl;


/* From rpmlib.h
 * prefix tag: FA_
 * table: rpmfileAction */
static const struct rpmconstant_s rpmfileActionctbl[] = {
#ifdef H_RPMLIB
	{ "FA_UNKNOWN", FA_UNKNOWN }, /*!< initial action for file ... */
	{ "FA_CREATE", FA_CREATE }, /*!< ... copy in from payload. */
	{ "FA_COPYIN", FA_COPYIN }, /*!< ... copy in from payload. */
	{ "FA_COPYOUT", FA_COPYOUT }, /*!< ... copy out to payload. */
	{ "FA_BACKUP", FA_BACKUP }, /*!< ... renamed with ".rpmorig" extension. */
	{ "FA_SAVE", FA_SAVE }, /*!< ... renamed with ".rpmsave" extension. */
	{ "FA_SKIP", FA_SKIP }, /*!< ... already replaced, don't remove. */
	{ "FA_ALTNAME", FA_ALTNAME }, /*!< ... create with ".rpmnew" extension. */
	{ "FA_ERASE", FA_ERASE }, /*!< ... to be removed. */
	{ "FA_SKIPNSTATE", FA_SKIPNSTATE }, /*!< ... untouched, state "not installed". */
	{ "FA_SKIPNETSHARED", FA_SKIPNETSHARED }, /*!< ... untouched, state "netshared". */
	{ "FA_SKIPCOLOR", FA_SKIPCOLOR }, /*!< ... untouched, state "wrong color". */
#endif /* H_RPMLIB */
	{ NULL, 0 } /* NULL terminated (rpmfileAction) */
};
const struct rpmconstant_s * rpmfileActionctable = rpmfileActionctbl;


/* From rpmlib.h
 * prefix tag: 
 * table: rpmfileAttrs */
static const struct rpmconstant_s rpmfileAttrsctbl[] = {
#ifdef H_RPMLIB
	{ "RPMFILE_NONE", RPMFILE_NONE }, 
	{ "RPMFILE_CONFIG", RPMFILE_CONFIG }, 
	{ "RPMFILE_DOC", RPMFILE_DOC }, 
	{ "RPMFILE_ICON", RPMFILE_ICON }, 
	{ "RPMFILE_MISSINGOK", RPMFILE_MISSINGOK }, 
	{ "RPMFILE_NOREPLACE", RPMFILE_NOREPLACE }, 
	{ "RPMFILE_GHOST", RPMFILE_GHOST }, 
	{ "RPMFILE_LICENSE", RPMFILE_LICENSE }, 
	{ "RPMFILE_README", RPMFILE_README }, 
	{ "RPMFILE_UNPATCHED", RPMFILE_UNPATCHED }, 
	{ "RPMFILE_PUBKEY", RPMFILE_PUBKEY }, 
	{ "RPMFILE_POLICY", RPMFILE_POLICY }, 
	{ "RPMFILE_PATCH", RPMFILE_PATCH }, 
	{ "RPMFILE_OPTIONAL", RPMFILE_OPTIONAL }, 
#endif /* H_RPMLIB */
	{ NULL, 0 } /* NULL terminated (rpmfileAttrs) */
};
const struct rpmconstant_s * rpmfileAttrsctable = rpmfileAttrsctbl;


/* From rpmlib.h
 * prefix tag: RPMRC_
 * table: rpmRC */
static const struct rpmconstant_s rpmRCctbl[] = {
#ifdef H_RPMLIB
	{ "RPMRC_OK", RPMRC_OK }, /*!< Generic success code */
	{ "RPMRC_NOTFOUND", RPMRC_NOTFOUND }, /*!< Generic not found code. */
	{ "RPMRC_FAIL", RPMRC_FAIL }, /*!< Generic failure code. */
	{ "RPMRC_NOTTRUSTED", RPMRC_NOTTRUSTED }, /*!< Signature is OK, but key is not trusted. */
	{ "RPMRC_NOKEY", RPMRC_NOKEY }, /*!< Public key is unavailable. */
#endif /* H_RPMLIB */
	{ NULL, 0 } /* NULL terminated (rpmRC) */
};
const struct rpmconstant_s * rpmRCctable = rpmRCctbl;


/* From rpmps.h
 * prefix tag: RPMPROB_
 * table: rpmProblemType */
static const struct rpmconstant_s rpmProblemTypectbl[] = {
#ifdef H_RPMPS
	{ "RPMPROB_BADARCH", RPMPROB_BADARCH }, /*!< (unused) package ... is for a different architecture */
	{ "RPMPROB_BADOS", RPMPROB_BADOS }, /*!< (unused) package ... is for a different operating system */
	{ "RPMPROB_PKG_INSTALLED", RPMPROB_PKG_INSTALLED }, /*!< package ... is already installed */
	{ "RPMPROB_BADRELOCATE", RPMPROB_BADRELOCATE }, /*!< path ... is not relocatable for package ... */
	{ "RPMPROB_REQUIRES", RPMPROB_REQUIRES }, /*!< package ... has unsatisfied Requires: ... */
	{ "RPMPROB_CONFLICT", RPMPROB_CONFLICT }, /*!< package ... has unsatisfied Conflicts: ... */
	{ "RPMPROB_NEW_FILE_CONFLICT", RPMPROB_NEW_FILE_CONFLICT }, /*!< file ... conflicts between attemped installs of ... */
	{ "RPMPROB_FILE_CONFLICT", RPMPROB_FILE_CONFLICT }, /*!< file ... from install of ... conflicts with file from package ... */
	{ "RPMPROB_OLDPACKAGE", RPMPROB_OLDPACKAGE }, /*!< package ... (which is newer than ...) is already installed */
	{ "RPMPROB_DISKSPACE", RPMPROB_DISKSPACE }, /*!< installing package ... needs ... on the ... filesystem */
	{ "RPMPROB_DISKNODES", RPMPROB_DISKNODES }, /*!< installing package ... needs ... on the ... filesystem */
	{ "RPMPROB_RDONLY", RPMPROB_RDONLY }, /*!< installing package ... on ... rdonly filesystem */
	{ "RPMPROB_BADPRETRANS", RPMPROB_BADPRETRANS }, /*!< (unimplemented) */
	{ "RPMPROB_BADPLATFORM", RPMPROB_BADPLATFORM }, /*!< package ... is for a different platform */
	{ "RPMPROB_NOREPACKAGE", RPMPROB_NOREPACKAGE }, /*!< re-packaged package ... is missing */
#endif /* H_RPMPS */
	{ NULL, 0 } /* NULL terminated (rpmProblemType) */
};
const struct rpmconstant_s * rpmProblemTypectable = rpmProblemTypectbl;


/* From rpmte.h
 * prefix tag: TR_
 * table: rpmElementType */
static const struct rpmconstant_s rpmElementTypectbl[] = {
#ifdef H_RPMTE
	{ "TR_ADDED", TR_ADDED }, 
	{ "TR_REMOVED", TR_REMOVED }, 
#endif /* H_RPMTE */
	{ NULL, 0 } /* NULL terminated (rpmElementType) */
};
const struct rpmconstant_s * rpmElementTypectable = rpmElementTypectbl;


/* From rpmts.h
 * prefix tag: RPMTS_OP_
 * table: rpmtsOpX */
static const struct rpmconstant_s rpmtsOpXctbl[] = {
#ifdef H_RPMTS
	{ "RPMTS_OP_TOTAL", RPMTS_OP_TOTAL }, 
	{ "RPMTS_OP_CHECK", RPMTS_OP_CHECK }, 
	{ "RPMTS_OP_ORDER", RPMTS_OP_ORDER }, 
	{ "RPMTS_OP_FINGERPRINT", RPMTS_OP_FINGERPRINT }, 
	{ "RPMTS_OP_REPACKAGE", RPMTS_OP_REPACKAGE }, 
	{ "RPMTS_OP_INSTALL", RPMTS_OP_INSTALL }, 
	{ "RPMTS_OP_ERASE", RPMTS_OP_ERASE }, 
	{ "RPMTS_OP_SCRIPTLETS", RPMTS_OP_SCRIPTLETS }, 
	{ "RPMTS_OP_COMPRESS", RPMTS_OP_COMPRESS }, 
	{ "RPMTS_OP_UNCOMPRESS", RPMTS_OP_UNCOMPRESS }, 
	{ "RPMTS_OP_DIGEST", RPMTS_OP_DIGEST }, 
	{ "RPMTS_OP_SIGNATURE", RPMTS_OP_SIGNATURE }, 
	{ "RPMTS_OP_DBADD", RPMTS_OP_DBADD }, 
	{ "RPMTS_OP_DBREMOVE", RPMTS_OP_DBREMOVE }, 
	{ "RPMTS_OP_DBGET", RPMTS_OP_DBGET }, 
	{ "RPMTS_OP_DBPUT", RPMTS_OP_DBPUT }, 
	{ "RPMTS_OP_DBDEL", RPMTS_OP_DBDEL }, 
	{ "RPMTS_OP_READHDR", RPMTS_OP_READHDR }, 
	{ "RPMTS_OP_HDRLOAD", RPMTS_OP_HDRLOAD }, 
	{ "RPMTS_OP_HDRGET", RPMTS_OP_HDRGET }, 
	{ "RPMTS_OP_DEBUG", RPMTS_OP_DEBUG }, 
	{ "RPMTS_OP_MAX", RPMTS_OP_MAX }, 
#endif /* H_RPMTS */
	{ NULL, 0 } /* NULL terminated (rpmtsOpX) */
};
const struct rpmconstant_s * rpmtsOpXctable = rpmtsOpXctbl;


/* From rpmts.h
 * prefix tag: RPMTRANS_TYPE_
 * table: rpmtsType */
static const struct rpmconstant_s rpmtsTypectbl[] = {
#ifdef H_RPMTS
	{ "RPMTRANS_TYPE_NORMAL", RPMTRANS_TYPE_NORMAL }, 
	{ "RPMTRANS_TYPE_ROLLBACK", RPMTRANS_TYPE_ROLLBACK }, 
	{ "RPMTRANS_TYPE_AUTOROLLBACK", RPMTRANS_TYPE_AUTOROLLBACK }, 
#endif /* H_RPMTS */
	{ NULL, 0 } /* NULL terminated (rpmtsType) */
};
const struct rpmconstant_s * rpmtsTypectable = rpmtsTypectbl;


/* From rpmbuild.h
 * prefix tag: RPMBUILD_
 * table: rpmBuildFlags */
static const struct rpmconstant_s rpmBuildFlagsctbl[] = {
#ifdef _H_RPMBUILD_
	{ "RPMBUILD_NONE", RPMBUILD_NONE }, 
	{ "RPMBUILD_PREP", RPMBUILD_PREP }, 
	{ "RPMBUILD_BUILD", RPMBUILD_BUILD }, 
	{ "RPMBUILD_INSTALL", RPMBUILD_INSTALL }, 
	{ "RPMBUILD_CHECK", RPMBUILD_CHECK }, 
	{ "RPMBUILD_CLEAN", RPMBUILD_CLEAN }, 
	{ "RPMBUILD_FILECHECK", RPMBUILD_FILECHECK }, 
	{ "RPMBUILD_PACKAGESOURCE", RPMBUILD_PACKAGESOURCE }, 
	{ "RPMBUILD_PACKAGEBINARY", RPMBUILD_PACKAGEBINARY }, 
	{ "RPMBUILD_RMSOURCE", RPMBUILD_RMSOURCE }, 
	{ "RPMBUILD_RMBUILD", RPMBUILD_RMBUILD }, 
	{ "RPMBUILD_STRINGBUF", RPMBUILD_STRINGBUF }, 
	{ "RPMBUILD_RMSPEC", RPMBUILD_RMSPEC }, 
#endif /* _H_RPMBUILD_ */
	{ NULL, 0 } /* NULL terminated (rpmBuildFlags) */
};
const struct rpmconstant_s * rpmBuildFlagsctable = rpmBuildFlagsctbl;


/* From rpmbuild.h
 * prefix tag: PART_
 * table: rpmParseState */
static const struct rpmconstant_s rpmParseStatectbl[] = {
#ifdef _H_RPMBUILD_
	{ "PART_SUBNAME", PART_SUBNAME }, 
	{ "PART_NAME", PART_NAME }, 
	{ "PART_NONE", PART_NONE }, /*!< */
	{ "PART_PREAMBLE", PART_PREAMBLE }, /*!< */
	{ "PART_PREP", PART_PREP }, /*!< */
	{ "PART_BUILD", PART_BUILD }, /*!< */
	{ "PART_INSTALL", PART_INSTALL }, /*!< */
	{ "PART_CHECK", PART_CHECK }, /*!< */
	{ "PART_CLEAN", PART_CLEAN }, /*!< */
	{ "PART_FILES", PART_FILES }, /*!< */
	{ "PART_PRE", PART_PRE }, /*!< */
	{ "PART_POST", PART_POST }, /*!< */
	{ "PART_PREUN", PART_PREUN }, /*!< */
	{ "PART_POSTUN", PART_POSTUN }, /*!< */
	{ "PART_PRETRANS", PART_PRETRANS }, /*!< */
	{ "PART_POSTTRANS", PART_POSTTRANS }, /*!< */
	{ "PART_DESCRIPTION", PART_DESCRIPTION }, /*!< */
	{ "PART_CHANGELOG", PART_CHANGELOG }, /*!< */
	{ "PART_TRIGGERIN", PART_TRIGGERIN }, /*!< */
	{ "PART_TRIGGERUN", PART_TRIGGERUN }, /*!< */
	{ "PART_VERIFYSCRIPT", PART_VERIFYSCRIPT }, /*!< */
	{ "PART_BUILDARCHITECTURES", PART_BUILDARCHITECTURES }, /*!< */
	{ "PART_TRIGGERPOSTUN", PART_TRIGGERPOSTUN }, /*!< */
	{ "PART_TRIGGERPREIN", PART_TRIGGERPREIN }, /*!< */
	{ "PART_LAST", PART_LAST }, /*!< */
#endif /* _H_RPMBUILD_ */
	{ NULL, 0 } /* NULL terminated (rpmParseState) */
};
const struct rpmconstant_s * rpmParseStatectable = rpmParseStatectbl;


/* From header.h
 * prefix tag: RPM_
 * table: rpmTagType */
static const struct rpmconstant_s rpmTagTypectbl[] = {
#ifdef H_HEADER
	{ "RPM_UINT8", RPM_UINT8_TYPE }, 
	{ "RPM_UINT16", RPM_UINT16_TYPE }, 
	{ "RPM_UINT32", RPM_UINT32_TYPE }, 
	{ "RPM_UINT64", RPM_UINT64_TYPE }, 
	{ "RPM_STRING", RPM_STRING_TYPE }, 
	{ "RPM_BIN", RPM_BIN_TYPE }, 
	{ "RPM_STRING_ARRAY", RPM_STRING_ARRAY_TYPE }, 
	{ "RPM_I18NSTRING", RPM_I18NSTRING_TYPE }, 
	{ "RPM_MIN", RPM_MIN_TYPE }, 
	{ "RPM_MAX", RPM_MAX_TYPE }, 
	{ "RPM_MASK", RPM_MASK_TYPE }, 
	{ "RPM_REGION", RPM_REGION_TYPE }, 
	{ "RPM_BIN_ARRAY", RPM_BIN_ARRAY_TYPE }, 
	{ "RPM_XREF", RPM_XREF_TYPE }, 
	{ "RPM_ANY_RETURN", RPM_ANY_RETURN_TYPE }, 
	{ "RPM_SCALAR_RETURN", RPM_SCALAR_RETURN_TYPE }, 
	{ "RPM_ARRAY_RETURN", RPM_ARRAY_RETURN_TYPE }, 
	{ "RPM_MAPPING_RETURN", RPM_MAPPING_RETURN_TYPE }, 
	{ "RPM_MASK_RETURN", RPM_MASK_RETURN_TYPE }, 
#endif /* H_HEADER */
	{ NULL, 0 } /* NULL terminated (rpmTagType) */
};
const struct rpmconstant_s * rpmTagTypectable = rpmTagTypectbl;


/* From rpmerr.h
 * prefix tag: RPMERR_
 * table: rpmerrCode */
static const struct rpmconstant_s rpmerrCodectbl[] = {
#ifdef H_RPMERR
	{ "RPMERR_GDBMOPEN", RPMERR_GDBMOPEN }, 
	{ "RPMERR_GDBMREAD", RPMERR_GDBMREAD }, 
	{ "RPMERR_GDBMWRITE", RPMERR_GDBMWRITE }, 
	{ "RPMERR_INTERNAL", RPMERR_INTERNAL }, 
	{ "RPMERR_DBCORRUPT", RPMERR_DBCORRUPT }, 
	{ "RPMERR_OLDDBCORRUPT", RPMERR_OLDDBCORRUPT }, 
	{ "RPMERR_OLDDBMISSING", RPMERR_OLDDBMISSING }, 
	{ "RPMERR_NOCREATEDB", RPMERR_NOCREATEDB }, 
	{ "RPMERR_DBOPEN", RPMERR_DBOPEN }, 
	{ "RPMERR_DBGETINDEX", RPMERR_DBGETINDEX }, 
	{ "RPMERR_DBPUTINDEX", RPMERR_DBPUTINDEX }, 
	{ "RPMERR_NEWPACKAGE", RPMERR_NEWPACKAGE }, 
	{ "RPMERR_BADMAGIC", RPMERR_BADMAGIC }, 
	{ "RPMERR_RENAME", RPMERR_RENAME }, 
	{ "RPMERR_UNLINK", RPMERR_UNLINK }, 
	{ "RPMERR_RMDIR", RPMERR_RMDIR }, 
	{ "RPMERR_PKGINSTALLED", RPMERR_PKGINSTALLED }, 
	{ "RPMERR_CHOWN", RPMERR_CHOWN }, 
	{ "RPMERR_NOUSER", RPMERR_NOUSER }, 
	{ "RPMERR_NOGROUP", RPMERR_NOGROUP }, 
	{ "RPMERR_MKDIR", RPMERR_MKDIR }, 
	{ "RPMERR_FILECONFLICT", RPMERR_FILECONFLICT }, 
	{ "RPMERR_RPMRC", RPMERR_RPMRC }, 
	{ "RPMERR_NOSPEC", RPMERR_NOSPEC }, 
	{ "RPMERR_NOTSRPM", RPMERR_NOTSRPM }, 
	{ "RPMERR_FLOCK", RPMERR_FLOCK }, 
	{ "RPMERR_OLDPACKAGE", RPMERR_OLDPACKAGE }, 
	{ "RPMERR_CREATE", RPMERR_CREATE }, 
	{ "RPMERR_NOSPACE", RPMERR_NOSPACE }, 
	{ "RPMERR_NORELOCATE", RPMERR_NORELOCATE }, 
	{ "RPMERR_MTAB", RPMERR_MTAB }, 
	{ "RPMERR_STAT", RPMERR_STAT }, 
	{ "RPMERR_BADDEV", RPMERR_BADDEV }, 
	{ "RPMERR_BADRELOCATE", RPMERR_BADRELOCATE }, 
	{ "RPMERR_OLDDB", RPMERR_OLDDB }, 
	{ "RPMERR_UNMATCHEDIF", RPMERR_UNMATCHEDIF }, 
	{ "RPMERR_RELOAD", RPMERR_RELOAD }, 
	{ "RPMERR_BADARG", RPMERR_BADARG }, 
	{ "RPMERR_SCRIPT", RPMERR_SCRIPT }, 
	{ "RPMERR_READ", RPMERR_READ }, 
	{ "RPMERR_UNKNOWNOS", RPMERR_UNKNOWNOS }, 
	{ "RPMERR_UNKNOWNARCH", RPMERR_UNKNOWNARCH }, 
	{ "RPMERR_EXEC", RPMERR_EXEC }, 
	{ "RPMERR_FORK", RPMERR_FORK }, 
	{ "RPMERR_CPIO", RPMERR_CPIO }, 
	{ "RPMERR_GZIP", RPMERR_GZIP }, 
	{ "RPMERR_BADSPEC", RPMERR_BADSPEC }, 
	{ "RPMERR_LDD", RPMERR_LDD }, 
	{ "RPMERR_BADFILENAME", RPMERR_BADFILENAME }, 
	{ "RPMERR_OPEN", RPMERR_OPEN }, 
	{ "RPMERR_POPEN", RPMERR_POPEN }, 
	{ "RPMERR_NOTREG", RPMERR_NOTREG }, 
	{ "RPMERR_QUERY", RPMERR_QUERY }, 
	{ "RPMERR_QFMT", RPMERR_QFMT }, 
	{ "RPMERR_DBCONFIG", RPMERR_DBCONFIG }, 
	{ "RPMERR_DBERR", RPMERR_DBERR }, 
	{ "RPMERR_BADPACKAGE", RPMERR_BADPACKAGE }, 
	{ "RPMERR_FREELIST", RPMERR_FREELIST }, 
	{ "RPMERR_DATATYPE", RPMERR_DATATYPE }, 
	{ "RPMERR_BUILDROOT", RPMERR_BUILDROOT }, 
	{ "RPMERR_MAKETEMP", RPMERR_MAKETEMP }, 
	{ "RPMERR_FWRITE", RPMERR_FWRITE }, 
	{ "RPMERR_FREAD", RPMERR_FREAD }, 
	{ "RPMERR_READLEAD", RPMERR_READLEAD }, 
	{ "RPMERR_WRITELEAD", RPMERR_WRITELEAD }, 
	{ "RPMERR_QUERYINFO", RPMERR_QUERYINFO }, 
	{ "RPMERR_MANIFEST", RPMERR_MANIFEST }, 
	{ "RPMERR_BADHEADER", RPMERR_BADHEADER }, 
	{ "RPMERR_FSEEK", RPMERR_FSEEK }, 
	{ "RPMERR_REGCOMP", RPMERR_REGCOMP }, 
	{ "RPMERR_REGEXEC", RPMERR_REGEXEC }, 
	{ "RPMERR_BADSIGTYPE", RPMERR_BADSIGTYPE }, 
	{ "RPMERR_SIGGEN", RPMERR_SIGGEN }, 
	{ "RPMERR_SIGVFY", RPMERR_SIGVFY }, 
	{ "RPMERR_IMPORT", RPMERR_IMPORT }, 
#endif /* H_RPMERR */
	{ NULL, 0 } /* NULL terminated (rpmerrCode) */
};
const struct rpmconstant_s * rpmerrCodectable = rpmerrCodectbl;


/* From rpmlog.h
 * prefix tag: RPMLOG_
 * table: rpmlog */
static const struct rpmconstant_s rpmlogctbl[] = {
#ifdef H_RPMLOG
	{ "RPMLOG_EMERG", RPMLOG_EMERG }, /*!< system is unusable */
	{ "RPMLOG_ALERT", RPMLOG_ALERT }, /*!< action must be taken immediately */
	{ "RPMLOG_CRIT", RPMLOG_CRIT }, /*!< critical conditions */
	{ "RPMLOG_ERR", RPMLOG_ERR }, /*!< error conditions */
	{ "RPMLOG_WARNING", RPMLOG_WARNING }, /*!< warning conditions */
	{ "RPMLOG_NOTICE", RPMLOG_NOTICE }, /*!< normal but significant condition */
	{ "RPMLOG_INFO", RPMLOG_INFO }, /*!< informational */
	{ "RPMLOG_DEBUG", RPMLOG_DEBUG }, /*!< debug-level messages */
	{ "RPMLOG_PRIMASK", RPMLOG_PRIMASK }, /* mask to extract priority part (internal) */
	{ "RPMLOG_KERN", RPMLOG_KERN }, 
	{ "RPMLOG_USER", RPMLOG_USER }, 
	{ "RPMLOG_MAIL", RPMLOG_MAIL }, 
	{ "RPMLOG_DAEMON", RPMLOG_DAEMON }, 
	{ "RPMLOG_AUTH", RPMLOG_AUTH }, 
	{ "RPMLOG_SYSLOG", RPMLOG_SYSLOG }, 
	{ "RPMLOG_LPR", RPMLOG_LPR }, 
	{ "RPMLOG_NEWS", RPMLOG_NEWS }, 
	{ "RPMLOG_UUCP", RPMLOG_UUCP }, 
	{ "RPMLOG_CRON", RPMLOG_CRON }, 
	{ "RPMLOG_AUTHPRIV", RPMLOG_AUTHPRIV }, 
	{ "RPMLOG_FTP", RPMLOG_FTP }, 
	{ "RPMLOG_LOCAL0", RPMLOG_LOCAL0 }, 
	{ "RPMLOG_LOCAL1", RPMLOG_LOCAL1 }, 
	{ "RPMLOG_LOCAL2", RPMLOG_LOCAL2 }, 
	{ "RPMLOG_LOCAL3", RPMLOG_LOCAL3 }, 
	{ "RPMLOG_LOCAL4", RPMLOG_LOCAL4 }, 
	{ "RPMLOG_LOCAL5", RPMLOG_LOCAL5 }, 
	{ "RPMLOG_LOCAL6", RPMLOG_LOCAL6 }, 
	{ "RPMLOG_LOCAL7", RPMLOG_LOCAL7 }, 
	{ "RPMLOG_NFACILITIES", RPMLOG_NFACILITIES }, /*!< current number of facilities */
	{ "RPMLOG_ERRMSG", RPMLOG_ERRMSG }, 
	{ "RPMLOG_FACMASK", RPMLOG_FACMASK }, /*!< mask to extract facility part */
	{ "RPMLOG_ODELAY", RPMLOG_ODELAY }, /*!< delay open until first syslog() (default) */
	{ "RPMLOG_NDELAY", RPMLOG_NDELAY }, /*!< don't delay open */
	{ "RPMLOG_PID", RPMLOG_PID }, /*!< log the pid with each message */
	{ "RPMLOG_CONS", RPMLOG_CONS }, /*!< log on the console if errors in sending */
	{ "RPMLOG_NOWAIT", RPMLOG_NOWAIT }, /*!< don't wait for console forks: DEPRECATED */
	{ "RPMLOG_PERROR", RPMLOG_PERROR }, /*!< log to stderr as well */
#endif /* H_RPMLOG */
	{ NULL, 0 } /* NULL terminated (rpmlog) */
};
const struct rpmconstant_s * rpmlogctable = rpmlogctbl;


/* From rpmmacro.h
 * prefix tag: RMIL_
 * table: rpmMacrosContext */
static const struct rpmconstant_s rpmMacrosContextctbl[] = {
#ifdef _H_MACRO_
	{ "RMIL_DEFAULT", RMIL_DEFAULT }, 
	{ "RMIL_MACROFILES", RMIL_MACROFILES }, 
	{ "RMIL_RPMRC", RMIL_RPMRC }, 
	{ "RMIL_CMDLINE", RMIL_CMDLINE }, 
	{ "RMIL_TARBALL", RMIL_TARBALL }, 
	{ "RMIL_SPEC", RMIL_SPEC }, 
	{ "RMIL_OLDSPEC", RMIL_OLDSPEC }, 
	{ "RMIL_GLOBAL", RMIL_GLOBAL }, 
#endif /* _H_MACRO_ */
	{ NULL, 0 } /* NULL terminated (rpmMacrosContext) */
};
const struct rpmconstant_s * rpmMacrosContextctable = rpmMacrosContextctbl;

static const struct rpmconstantlist_s rpmconstanttp[] = {
	{ (void *)rpmBuildFlagsctbl, "rpmbuildflags", "RPMBUILD_" },
	{ (void *)rpmElementTypectbl, "rpmelementtype", "TR_" },
	{ (void *)rpmMacrosContextctbl, "rpmmacroscontext", "RMIL_" },
	{ (void *)rpmParseStatectbl, "rpmparsestate", "PART_" },
	{ (void *)rpmProblemTypectbl, "rpmproblemtype", "RPMPROB_" },
	{ (void *)rpmRCctbl, "rpmrc", "RPMRC_" },
	{ (void *)rpmSignFlagsctbl, "rpmsignflags", "RPMSIGN_" },
	{ (void *)rpmTagTypectbl, "rpmtagtype", "RPM_" },
	{ (void *)rpmVerifyFlagsctbl, "rpmverifyflags", "VERIFY_" },
	{ (void *)rpm_machtablectbl, "rpm_machtable", "RPM_MACHTABLE_" },
	{ (void *)rpmerrCodectbl, "rpmerrcode", "RPMERR_" },
	{ (void *)rpmfileActionctbl, "rpmfileaction", "FA_" },
	{ (void *)rpmfileAttrsctbl, "rpmfileattrs", NULL },
	{ (void *)rpmfileStatectbl, "rpmfilestate", "RPMFILE_" },
	{ (void *)rpmlogctbl, "rpmlog", "RPMLOG_" },
	{ (void *)rpmprobFilterFlagsctbl, "rpmprobfilterflags", "RPMPROB_FILTER_" },
	{ (void *)rpmtransFlagsctbl, "rpmtransflags", "RPMTRANS_FLAG_" },
	{ (void *)rpmtsOpXctbl, "rpmtsopx", "RPMTS_OP_" },
	{ (void *)rpmtsTypectbl, "rpmtstype", "RPMTRANS_TYPE_" },
	{ (void *) NULL, NULL, NULL } /* NULL terminated */
};
const struct rpmconstantlist_s * rpmconstanttype = rpmconstanttp;
const int rpmconstanttypesize = sizeof(rpmconstanttp) / sizeof(rpmconstanttp[0]) -1;
